Bug 805318 - Default krb5.conf changes default behavior of using DNS for KDC lookups
Default krb5.conf changes default behavior of using DNS for KDC lookups
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
17
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Nalin Dahyabhai
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 805320
  Show dependency treegraph
 
Reported: 2012-03-20 17:07 EDT by Stef Walter
Modified: 2012-05-26 03:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: krb5-1.10-6.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-26 03:32:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Change back dns_lookup_kdc to the default (971 bytes, patch)
2012-03-20 17:08 EDT, Stef Walter
no flags Details | Diff

  None (edit)
Description Stef Walter 2012-03-20 17:07:31 EDT
The kerberos clarifications and other best practices recommend against the use of TXT records for hostname to realm mapping. In MIT krb5 This is controlled by the dns_lookup_realm setting, which is false by default.

However there is no such recommendation against the use of DNS SRV records to lookup the KDC for a realm. This is controlled by the dns_lookup_kdc setting, and defaults to true. 

In fact it is best deployment practice to use DNS for looking KDC information. Doing so allows clients not to need configuration to use a kerberos realm, and subsequent manual reconfiguration when the realm changes. In addition using DNS its easy to failover between KDC's.

The current krb5-libs package installs an /etc/krb5.conf that sets dns_lookup_kdc = false. It seems this may have been done accidentally, conflating the security issues of dns_lookup_realm with dns_lookup_kdc.

In any case, I'd like to request this be changed and the default value for dns_lookup_realm be used.

I'm working on UI for streamlining the setup of kerberos on Fedora and RHEL. We would change option unconditionally during setup anyway. So doing it in the package allows us to save work and have a krb5 that just works out of the box as intended by upstream.

Attaching a patch to git://pkgs.fedoraproject.org/krb5.git.
Comment 1 Stef Walter 2012-03-20 17:08:39 EDT
Created attachment 571528 [details]
Change back dns_lookup_kdc to the default
Comment 2 Fedora Update System 2012-05-03 11:01:59 EDT
krb5-1.10-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/krb5-1.10-6.fc17
Comment 3 Fedora Update System 2012-05-03 23:09:59 EDT
Package krb5-1.10-6.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing krb5-1.10-6.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7257/krb5-1.10-6.fc17
then log in and leave karma (feedback).
Comment 4 Stef Walter 2012-05-04 07:48:26 EDT
Thanks!
Comment 5 Fedora Update System 2012-05-26 03:32:21 EDT
krb5-1.10-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.